Package javax.mail.event

## Interface MessageCountListener

All Superinterfaces:
  `java.util.EventListener`

All Known Implementing Classes:
  `MessageCountAdapter`

    public interface MessageCountListener
    extends java.util.EventListener

This is the Listener interface for MessageCount events.

Author:
  John Mani

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `messagesAdded​(MessageCountEvent e)` Invoked when messages are added into a folder.
`void` `messagesRemoved​(MessageCountEvent e)` Invoked when messages are removed (expunged) from a folder.

### Method Detail

#### messagesAdded

    void messagesAdded​(MessageCountEvent e)

Invoked when messages are added into a folder.

Parameters:
  `e` - the MessageCountEvent

#### messagesRemoved

    void messagesRemoved​(MessageCountEvent e)

Invoked when messages are removed (expunged) from a folder.

Parameters:
  `e` - the MessageCountEvent